%undefine __cmake_in_source_build
%global framework knewstuff

Name:       kf5-%{framework}
Version:    5.100.0
Release:    1
Summary:    KDE Frameworks 5 Tier 3 module for downloading application assets

License:    LGPLv2+
URL:        https://invent.kde.org/frameworks/%{framework}

%global majmin %(echo %{version} | cut -d. -f1-2)
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/frameworks/%{majmin}/%{framework}-%{version}.tar.xz

## upstream patches

# filter qml provides
%global __provides_exclude_from ^%{_kf5_qmldir}/.*\\.so$

BuildRequires:  extra-cmake-modules >= %{majmin}
BuildRequires:  kf5-attica-devel >= %{majmin}
BuildRequires:  kf5-karchive-devel >= %{majmin}
BuildRequires:  kf5-kcompletion-devel >= %{majmin}
BuildRequires:  kf5-kconfig-devel >= %{majmin}
BuildRequires:  kf5-kcoreaddons-devel >= %{majmin}
BuildRequires:  kf5-ki18n-devel >= %{majmin}
BuildRequires:  kf5-kiconthemes-devel >= %{majmin}
BuildRequires:  kf5-kio-devel >= %{majmin}
BuildRequires:  kf5-kitemviews-devel >= %{majmin}
BuildRequires:  kf5-kpackage-devel >= %{majmin}
BuildRequires:  kf5-kservice-devel >= %{majmin}
BuildRequires:  kf5-ktextwidgets-devel >= %{majmin}
BuildRequires:  kf5-kwidgetsaddons-devel >= %{majmin}
BuildRequires:  kf5-kwindowsystem-devel >= %{majmin}
BuildRequires:  kf5-kxmlgui-devel >= %{majmin}
BuildRequires:  kf5-rpm-macros
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtdeclarative-devel
BuildRequires:  qt5-qttools-devel

%description
KDE Frameworks 5 Tier 3 module for downloading and sharing additional
application data like plugins, themes, motives, etc.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       kf5-attica-devel >= %{majmin}
Requires:       kf5-kservice-devel >= %{majmin}
Requires:       kf5-kxmlgui-devel >= %{majmin}
Requires:       qt5-qtbase-devel
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{framework}-%{version} -p1


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

%make_build -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --all-name


%ldconfig_scriptlets

%files -f %{name}.lang
%doc README.md
%license LICENSES/*.txt
%{_kf5_bindir}/knewstuff*
%{_kf5_qtplugindir}/designer/knewstuffwidgets.so
%{_kf5_datadir}/qlogging-categories5/%{framework}*
%{_kf5_libdir}/libKF5NewStuff.so.*
%{_kf5_libdir}/libKF5NewStuffCore.so.*
%{_kf5_libdir}/libKF5NewStuffWidgets.so.*
%{_kf5_datadir}/kf5/kmoretools/
%dir %{_kf5_qmldir}/org/
%dir %{_kf5_qmldir}/org/kde
%{_kf5_qmldir}/org/kde/newstuff/

%files devel
%{_kf5_includedir}/KNewStuff3/
%{_kf5_includedir}/KMoreTools/
%{_kf5_libdir}/libKF5NewStuff.so
%{_kf5_libdir}/libKF5NewStuffCore.so
%{_kf5_libdir}/libKF5NewStuffWidgets.so
%{_kf5_libdir}/cmake/KF5NewStuff/
%{_kf5_libdir}/cmake/KF5NewStuffCore/
%{_kf5_libdir}/cmake/KF5NewStuffQuick/
%{_kf5_archdatadir}/mkspecs/modules/qt_KNewStuff.pri
%{_kf5_archdatadir}/mkspecs/modules/qt_KNewStuffCore.pri


%changelog
* Tue Dec 13 2022 liqiuyu <liqiuyu@kylinos.cn> - 5.100.0-1
- Update package to version 5.100.0

* Mon Sep 05 2022 liweiganga <liweiganga@uniontech.com> - 5.97.0-1
- update to upstream version 5.97.0

* Tue Jul 05 2022 tanyulong <tanyulong@kylinos.cn> - 5.95.0-1
- update to upstream version 5.95.0

* Fri Feb 18 2022 pei-jiankang <peijiankang@kylinos.cn> - 5.90.0-2
- rebuild

* Sat Feb 12 2022 tanyulong <tanyulong@kylinos.cn> - 5.90.0-1
- update to upstream version 5.90.0

* Sun Jan 16 2022 pei-jiankang <peijiankang@kylinos.cn> - 5.88.0-1
- update to upstream version 5.88.0

* Mon Aug 17 2020 yeqinglong <yeqinglong@uniontech.com> - 5.55.0-1
- Initial release for OpenEuler

